Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataReader Class Reference

`#include <vtkDataReader.h>`

Inheritance diagram for vtkDataReader:

[legend]
Collaboration diagram for vtkDataReader:

[legend]
List of all members.

## Detailed Description

helper superclass for objects that read vtk data files

Date:
  2002/12/26 18:18:50

Revision:
  1.73

vtkDataReader is a helper superclass that reads the vtk data file header, dataset type, and attribute data (point and cell attributes such as scalars, vectors, normals, etc.) from a vtk data file. See text for the format of the various vtk file types.

See also:
  vtkPolyDataReader vtkStructuredPointsReader vtkStructuredGridReader vtkUnsutructuredGridReader vtkRectilinearGridReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (55%)
  - Martin, Ken (22%)
  - Lorensen, Bill (8%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkDataReader.cxx)`
  - .`h` (`/IO/vtkDataReader.h)`

Definition at line 60 of file vtkDataReader.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | OpenVTKFile ()
int | ReadHeader ()
int | ReadCellData (vtkDataSet *ds, int numCells)
int | ReadPointData (vtkDataSet *ds, int numPts)
int | ReadPoints (vtkPointSet *ps, int numPts)
int | ReadCells (int size, int *data)
int | ReadCells (int size, int *data, int skip1, int read2, int skip3)
int | ReadCoordinates (vtkRectilinearGrid *rg, int axes, int numCoords)
void | CloseVTKFile ()
int | ReadLine (char result[256])
int | ReadString (char result[256])
char * | LowerCase (char *str, const size_t len=256)
istream * | GetIStream ()
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
int | IsFileValid (const char *dstype)
int | IsFileStructuredPoints ()
int | IsFilePolyData ()
int | IsFileStructuredGrid ()
int | IsFileUnstructuredGrid ()
int | IsFileRectilinearGrid ()
void | SetInputString (const char *in)
virtual char * | GetInputString ()
void | SetInputString (const char *in, int len)
virtual int | GetInputStringLength ()
void | SetBinaryInputString (const char *, int len)
virtual void | SetInputArray (vtkCharArray *)
virtual vtkCharArray * | GetInputArray ()
virtual char * | GetHeader ()
virtual void | SetReadFromInputString (int)
virtual int | GetReadFromInputString ()
virtual void | ReadFromInputStringOn ()
virtual void | ReadFromInputStringOff ()
virtual int | GetFileType ()
int | GetNumberOfScalarsInFile ()
int | GetNumberOfVectorsInFile ()
int | GetNumberOfTensorsInFile ()
int | GetNumberOfNormalsInFile ()
int | GetNumberOfTCoordsInFile ()
int | GetNumberOfFieldDataInFile ()
const char * | GetScalarsNameInFile (int i)
const char * | GetVectorsNameInFile (int i)
const char * | GetTensorsNameInFile (int i)
const char * | GetNormalsNameInFile (int i)
const char * | GetTCoordsNameInFile (int i)
const char * | GetFieldDataNameInFile (int i)
virtual void | SetScalarsName (const char *)
virtual char * | GetScalarsName ()
virtual void | SetVectorsName (const char *)
virtual char * | GetVectorsName ()
virtual void | SetTensorsName (const char *)
virtual char * | GetTensorsName ()
virtual void | SetNormalsName (const char *)
virtual char * | GetNormalsName ()
virtual void | SetTCoordsName (const char *)
virtual char * | GetTCoordsName ()
virtual void | SetLookupTableName (const char *)
virtual char * | GetLookupTableName ()
virtual void | SetFieldDataName (const char *)
virtual char * | GetFieldDataName ()
vtkDataArray * | ReadArray (const char *dataType, int numTuples, int numComp)
vtkFieldData * | ReadFieldData ()
int | Read (char *)
int | Read (unsigned char *)
int | Read (short *)
int | Read (unsigned short *)
int | Read (int *)
int | Read (unsigned int *)
int | Read (long *)
int | Read (unsigned long *)
int | Read (float *)
int | Read (double *)
## Static Public Methods
vtkDataReader * | New ()
int | IsTypeOf (const char *type)
vtkDataReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataReader ()
| ~vtkDataReader ()
virtual void | SetScalarLut (const char *)
virtual char * | GetScalarLut ()
int | ReadScalarData (vtkDataSetAttributes *a, int num)
int | ReadVectorData (vtkDataSetAttributes *a, int num)
int | ReadNormalData (vtkDataSetAttributes *a, int num)
int | ReadTensorData (vtkDataSetAttributes *a, int num)
int | ReadCoScalarData (vtkDataSetAttributes *a, int num)
int | ReadLutData (vtkDataSetAttributes *a)
int | ReadTCoordsData (vtkDataSetAttributes *a, int num)
int | ReadDataSetData (vtkDataSet *ds)
void | InitializeCharacteristics ()
int | CharacterizeFile ()
void | CheckFor (const char *name, char *line, int &num, char **&array, int &allocSize)
void | DecodeArrayName (char *resname, const char *name)
## Protected Attributes
char * | FileName
int | FileType
istream * | IS
char * | ScalarsName
char * | VectorsName
char * | TensorsName
char * | TCoordsName
char * | NormalsName
char * | LookupTableName
char * | FieldDataName
char * | ScalarLut
int | ReadFromInputString
char * | InputString
int | InputStringLength
int | InputStringPos
char * | Header
int | NumberOfScalarsInFile
char ** | ScalarsNameInFile
int | ScalarsNameAllocSize
int | NumberOfVectorsInFile
char ** | VectorsNameInFile
int | VectorsNameAllocSize
int | NumberOfTensorsInFile
char ** | TensorsNameInFile
int | TensorsNameAllocSize
int | NumberOfTCoordsInFile
char ** | TCoordsNameInFile
int | TCoordsNameAllocSize
int | NumberOfNormalsInFile
char ** | NormalsNameInFile
int | NormalsNameAllocSize
int | NumberOfFieldDataInFile
char ** | FieldDataNameInFile
int | FieldDataNameAllocSize
vtkTimeStamp | CharacteristicsTime
vtkCharArray * | InputArray

## Member Typedef Documentation

typedef vtkSource vtkDataReader::Superclass

| Reimplemented from vtkSource. Reimplemented in vtkDataObjectReader, vtkDataSetReader, vtkPolyDataReader, vtkRectilinearGridReader, vtkStructuredGridReader, vtkStructuredPointsReader, and vtkUnstructuredGridReader. Definition at line 64 of file vtkDataReader.h.

## Constructor & Destructor Documentation

vtkDataReader::vtkDataReader | ( |  | ) | `[protected]`

vtkDataReader::~vtkDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDataReader* vtkDataReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkDataObjectReader, vtkDataSetReader, vtkPolyDataReader, vtkRectilinearGridReader, vtkStructuredGridReader, vtkStructuredPointsReader, and vtkUnstructuredGridReader.

virtual const char* vtkDataReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkDataObjectReader, vtkDataSetReader, vtkPolyDataReader, vtkRectilinearGridReader, vtkStructuredGridReader, vtkStructuredPointsReader, and vtkUnstructuredGridReader.

int vtkDataReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkDataObjectReader, vtkDataSetReader, vtkPolyDataReader, vtkRectilinearGridReader, vtkStructuredGridReader, vtkStructuredPointsReader, and vtkUnstructuredGridReader.

virtual int vtkDataReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkDataObjectReader, vtkDataSetReader, vtkPolyDataReader, vtkRectilinearGridReader, vtkStructuredGridReader, vtkStructuredPointsReader, and vtkUnstructuredGridReader.

vtkDataReader* vtkDataReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource. Reimplemented in vtkDataObjectReader, vtkDataSetReader, vtkPolyDataReader, vtkRectilinearGridReader, vtkStructuredGridReader, vtkStructuredPointsReader, and vtkUnstructuredGridReader.

void vtkDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource. Reimplemented in vtkDataObjectReader, vtkDataSetReader, vtkPolyDataReader, vtkRectilinearGridReader, vtkStructuredGridReader, vtkStructuredPointsReader, and vtkUnstructuredGridReader.

virtual void vtkDataReader::SetFileName | ( | const char * |  | ) | `[virtual]`

| Specify file name of vtk data file to read.

virtual char* vtkDataReader::GetFileName | ( |  | ) | `[virtual]`

| Specify file name of vtk data file to read.

int vtkDataReader::IsFileValid | ( | const char * | dstype | ) |

| Is the file a valid vtk file of the passed dataset type ? The dataset type is passed as a lower case string.

int vtkDataReader::IsFileStructuredPoints | ( |  | ) | `[inline]`

| Is the file a valid vtk file of the passed dataset type ? The dataset type is passed as a lower case string. Definition at line 77 of file vtkDataReader.h.

int vtkDataReader::IsFilePolyData | ( |  | ) | `[inline]`

| Is the file a valid vtk file of the passed dataset type ? The dataset type is passed as a lower case string. Definition at line 79 of file vtkDataReader.h.

int vtkDataReader::IsFileStructuredGrid | ( |  | ) | `[inline]`

| Is the file a valid vtk file of the passed dataset type ? The dataset type is passed as a lower case string. Definition at line 81 of file vtkDataReader.h.

int vtkDataReader::IsFileUnstructuredGrid | ( |  | ) | `[inline]`

| Is the file a valid vtk file of the passed dataset type ? The dataset type is passed as a lower case string. Definition at line 83 of file vtkDataReader.h.

int vtkDataReader::IsFileRectilinearGrid | ( |  | ) | `[inline]`

| Is the file a valid vtk file of the passed dataset type ? The dataset type is passed as a lower case string. Definition at line 85 of file vtkDataReader.h.

void vtkDataReader::SetInputString | ( | const char * | in | ) |

| Specify the InputString for use when reading from a character array. Optionally include the length for binary strings. Note that a copy of the string is made and stored. If this causes exceedingly large memory consumption, consider using InputArray instead.

virtual char* vtkDataReader::GetInputString | ( |  | ) | `[virtual]`

| Specify the InputString for use when reading from a character array. Optionally include the length for binary strings. Note that a copy of the string is made and stored. If this causes exceedingly large memory consumption, consider using InputArray instead.

void vtkDataReader::SetInputString | ( | const char * | in,
|  | int | len
| ) |

| Specify the InputString for use when reading from a character array. Optionally include the length for binary strings. Note that a copy of the string is made and stored. If this causes exceedingly large memory consumption, consider using InputArray instead.

virtual int vtkDataReader::GetInputStringLength | ( |  | ) | `[virtual]`

| Specify the InputString for use when reading from a character array. Optionally include the length for binary strings. Note that a copy of the string is made and stored. If this causes exceedingly large memory consumption, consider using InputArray instead.

void vtkDataReader::SetBinaryInputString | ( | const char * | ,
|  | int | len
| ) |

| Specify the InputString for use when reading from a character array. Optionally include the length for binary strings. Note that a copy of the string is made and stored. If this causes exceedingly large memory consumption, consider using InputArray instead.

virtual void vtkDataReader::SetInputArray | ( | vtkCharArray * |  | ) | `[virtual]`

| Specify the vtkCharArray to be used when reading from a string. If set, this array has precendence over InputString. Use this instead of InputString to avoid the extra memory copy. It should be noted that if the underlying char* is owned by the user ( vtkCharArray::SetArray(array, 1); ) and is deleted before the reader, bad things will happen during a pipeline update.

virtual vtkCharArray* vtkDataReader::GetInputArray | ( |  | ) | `[virtual]`

| Specify the vtkCharArray to be used when reading from a string. If set, this array has precendence over InputString. Use this instead of InputString to avoid the extra memory copy. It should be noted that if the underlying char* is owned by the user ( vtkCharArray::SetArray(array, 1); ) and is deleted before the reader, bad things will happen during a pipeline update.

virtual char* vtkDataReader::GetHeader | ( |  | ) | `[virtual]`

| Get the header from the vtk data file.

virtual void vtkDataReader::SetReadFromInputString | ( | int |  | ) | `[virtual]`

| Enable reading from an InputString or InputArray instead of the default, a file.

virtual int vtkDataReader::GetReadFromInputString | ( |  | ) | `[virtual]`

| Enable reading from an InputString or InputArray instead of the default, a file.

virtual void vtkDataReader::ReadFromInputStringOn | ( |  | ) | `[virtual]`

| Enable reading from an InputString or InputArray instead of the default, a file.

virtual void vtkDataReader::ReadFromInputStringOff | ( |  | ) | `[virtual]`

| Enable reading from an InputString or InputArray instead of the default, a file.

virtual int vtkDataReader::GetFileType | ( |  | ) | `[virtual]`

| Get the type of file (ASCII or BINARY). Returned value only valid after file has been read.

int vtkDataReader::GetNumberOfScalarsInFile | ( |  | ) | `[inline]`

| How many attributes of various types are in this file? This requires reading the file, so the filename must be set prior to invoking this operation. (Note: file characteristics are cached, so only a single read is necessary to return file characteristics.) Definition at line 136 of file vtkDataReader.h.

int vtkDataReader::GetNumberOfVectorsInFile | ( |  | ) | `[inline]`

| How many attributes of various types are in this file? This requires reading the file, so the filename must be set prior to invoking this operation. (Note: file characteristics are cached, so only a single read is necessary to return file characteristics.) Definition at line 138 of file vtkDataReader.h.

int vtkDataReader::GetNumberOfTensorsInFile | ( |  | ) | `[inline]`

| How many attributes of various types are in this file? This requires reading the file, so the filename must be set prior to invoking this operation. (Note: file characteristics are cached, so only a single read is necessary to return file characteristics.) Definition at line 140 of file vtkDataReader.h.

int vtkDataReader::GetNumberOfNormalsInFile | ( |  | ) | `[inline]`

| How many attributes of various types are in this file? This requires reading the file, so the filename must be set prior to invoking this operation. (Note: file characteristics are cached, so only a single read is necessary to return file characteristics.) Definition at line 142 of file vtkDataReader.h.

int vtkDataReader::GetNumberOfTCoordsInFile | ( |  | ) | `[inline]`

| How many attributes of various types are in this file? This requires reading the file, so the filename must be set prior to invoking this operation. (Note: file characteristics are cached, so only a single read is necessary to return file characteristics.) Definition at line 144 of file vtkDataReader.h.

int vtkDataReader::GetNumberOfFieldDataInFile | ( |  | ) | `[inline]`

| How many attributes of various types are in this file? This requires reading the file, so the filename must be set prior to invoking this operation. (Note: file characteristics are cached, so only a single read is necessary to return file characteristics.) Definition at line 146 of file vtkDataReader.h.

const char* vtkDataReader::GetScalarsNameInFile | ( | int | i | ) |

| What is the name of the ith attribute of a certain type in this file? This requires reading the file, so the filename must be set prior to invoking this operation.

const char* vtkDataReader::GetVectorsNameInFile | ( | int | i | ) |

| What is the name of the ith attribute of a certain type in this file? This requires reading the file, so the filename must be set prior to invoking this operation.

const char* vtkDataReader::GetTensorsNameInFile | ( | int | i | ) |

| What is the name of the ith attribute of a certain type in this file? This requires reading the file, so the filename must be set prior to invoking this operation.

const char* vtkDataReader::GetNormalsNameInFile | ( | int | i | ) |

| What is the name of the ith attribute of a certain type in this file? This requires reading the file, so the filename must be set prior to invoking this operation.

const char* vtkDataReader::GetTCoordsNameInFile | ( | int | i | ) |

| What is the name of the ith attribute of a certain type in this file? This requires reading the file, so the filename must be set prior to invoking this operation.

const char* vtkDataReader::GetFieldDataNameInFile | ( | int | i | ) |

| What is the name of the ith attribute of a certain type in this file? This requires reading the file, so the filename must be set prior to invoking this operation.

virtual void vtkDataReader::SetScalarsName | ( | const char * |  | ) | `[virtual]`

| Set the name of the scalar data to extract. If not specified, first scalar data encountered is extracted.

virtual char* vtkDataReader::GetScalarsName | ( |  | ) | `[virtual]`

| Set the name of the scalar data to extract. If not specified, first scalar data encountered is extracted.

virtual void vtkDataReader::SetVectorsName | ( | const char * |  | ) | `[virtual]`

| Set the name of the vector data to extract. If not specified, first vector data encountered is extracted.

virtual char* vtkDataReader::GetVectorsName | ( |  | ) | `[virtual]`

| Set the name of the vector data to extract. If not specified, first vector data encountered is extracted.

virtual void vtkDataReader::SetTensorsName | ( | const char * |  | ) | `[virtual]`

| Set the name of the tensor data to extract. If not specified, first tensor data encountered is extracted.

virtual char* vtkDataReader::GetTensorsName | ( |  | ) | `[virtual]`

| Set the name of the tensor data to extract. If not specified, first tensor data encountered is extracted.

virtual void vtkDataReader::SetNormalsName | ( | const char * |  | ) | `[virtual]`

| Set the name of the normal data to extract. If not specified, first normal data encountered is extracted.

virtual char* vtkDataReader::GetNormalsName | ( |  | ) | `[virtual]`

| Set the name of the normal data to extract. If not specified, first normal data encountered is extracted.

virtual void vtkDataReader::SetTCoordsName | ( | const char * |  | ) | `[virtual]`

| Set the name of the texture coordinate data to extract. If not specified, first texture coordinate data encountered is extracted.

virtual char* vtkDataReader::GetTCoordsName | ( |  | ) | `[virtual]`

| Set the name of the texture coordinate data to extract. If not specified, first texture coordinate data encountered is extracted.

virtual void vtkDataReader::SetLookupTableName | ( | const char * |  | ) | `[virtual]`

| Set the name of the lookup table data to extract. If not specified, uses lookup table named by scalar. Otherwise, this specification supersedes.

virtual char* vtkDataReader::GetLookupTableName | ( |  | ) | `[virtual]`

| Set the name of the lookup table data to extract. If not specified, uses lookup table named by scalar. Otherwise, this specification supersedes.

virtual void vtkDataReader::SetFieldDataName | ( | const char * |  | ) | `[virtual]`

| Set the name of the field data to extract. If not specified, uses first field data encountered in file.

virtual char* vtkDataReader::GetFieldDataName | ( |  | ) | `[virtual]`

| Set the name of the field data to extract. If not specified, uses first field data encountered in file.

int vtkDataReader::OpenVTKFile | ( |  | ) |

| Open a vtk data file. Returns zero if error.

int vtkDataReader::ReadHeader | ( |  | ) |

| Read the header of a vtk data file. Returns 0 if error.

int vtkDataReader::ReadCellData | ( | vtkDataSet * | ds,
|  | int | numCells
| ) |

| Read the cell data of a vtk data file. The number of cells (from the dataset) must match the number of cells defined in cell attributes (unless no geometry was defined).

int vtkDataReader::ReadPointData | ( | vtkDataSet * | ds,
|  | int | numPts
| ) |

| Read the point data of a vtk data file. The number of points (from the dataset) must match the number of points defined in point attributes (unless no geometry was defined).

int vtkDataReader::ReadPoints | ( | vtkPointSet * | ps,
|  | int | numPts
| ) |

| Read point coordinates. Return 0 if error.

int vtkDataReader::ReadCells | ( | int | size,
|  | int * | data
| ) |

| Read a bunch of "cells". Return 0 if error.

int vtkDataReader::ReadCells | ( | int | size,
|  | int * | data,
|  | int | skip1,
|  | int | read2,
|  | int | skip3
| ) |

| Read a piece of the cells (for streaming compliance)

int vtkDataReader::ReadCoordinates | ( | vtkRectilinearGrid * | rg,
|  | int | axes,
|  | int | numCoords
| ) |

| Read the coordinates for a rectilinear grid. The axes parameter specifies which coordinate axes (0,1,2) is being read.

vtkDataArray* vtkDataReader::ReadArray | ( | const char * | dataType,
|  | int | numTuples,
|  | int | numComp
| ) |

| Helper functions for reading data.

vtkFieldData* vtkDataReader::ReadFieldData | ( |  | ) |

| Helper functions for reading data.

int vtkDataReader::Read | ( | char * |  | ) |

| Internal function to read in a value. Returns zero if there was an error.

int vtkDataReader::Read | ( | unsigned char * |  | ) |

| Internal function to read in a value. Returns zero if there was an error.

int vtkDataReader::Read | ( | short * |  | ) |

| Internal function to read in a value. Returns zero if there was an error.

int vtkDataReader::Read | ( | unsigned short * |  | ) |

| Internal function to read in a value. Returns zero if there was an error.

int vtkDataReader::Read | ( | int * |  | ) |

| Internal function to read in a value. Returns zero if there was an error.

int vtkDataReader::Read | ( | unsigned int * |  | ) |

| Internal function to read in a value. Returns zero if there was an error.

int vtkDataReader::Read | ( | long * |  | ) |

| Internal function to read in a value. Returns zero if there was an error.

int vtkDataReader::Read | ( | unsigned long * |  | ) |

| Internal function to read in a value. Returns zero if there was an error.

int vtkDataReader::Read | ( | float * |  | ) |

| Internal function to read in a value. Returns zero if there was an error.

int vtkDataReader::Read | ( | double * |  | ) |

| Internal function to read in a value. Returns zero if there was an error.

void vtkDataReader::CloseVTKFile | ( |  | ) |

| Close the vtk file.

int vtkDataReader::ReadLine | ( | char | result[256] | ) |

| Internal function to read in a line up to 256 characters. Returns zero if there was an error.

int vtkDataReader::ReadString | ( | char | result[256] | ) |

| Internal function to read in a string up to 256 characters. Returns zero if there was an error.

char* vtkDataReader::LowerCase | ( | char * | str,
|  | const size_t | len = 256
| ) |

| Helper method for reading in data.

istream* vtkDataReader::GetIStream | ( |  | ) | `[inline]`

| Return the istream being used to read in the data. Definition at line 278 of file vtkDataReader.h.

virtual void vtkDataReader::SetScalarLut | ( | const char * |  | ) | `[protected, virtual]`

virtual char* vtkDataReader::GetScalarLut | ( |  | ) | `[protected, virtual]`

int vtkDataReader::ReadScalarData | ( | vtkDataSetAttributes * | a,
|  | int | num
| ) | `[protected]`

int vtkDataReader::ReadVectorData | ( | vtkDataSetAttributes * | a,
|  | int | num
| ) | `[protected]`

int vtkDataReader::ReadNormalData | ( | vtkDataSetAttributes * | a,
|  | int | num
| ) | `[protected]`

int vtkDataReader::ReadTensorData | ( | vtkDataSetAttributes * | a,
|  | int | num
| ) | `[protected]`

int vtkDataReader::ReadCoScalarData | ( | vtkDataSetAttributes * | a,
|  | int | num
| ) | `[protected]`

int vtkDataReader::ReadLutData | ( | vtkDataSetAttributes * | a | ) | `[protected]`

int vtkDataReader::ReadTCoordsData | ( | vtkDataSetAttributes * | a,
|  | int | num
| ) | `[protected]`

int vtkDataReader::ReadDataSetData | ( | vtkDataSet * | ds | ) | `[protected]`

void vtkDataReader::InitializeCharacteristics | ( |  | ) | `[protected]`

int vtkDataReader::CharacterizeFile | ( |  | ) | `[protected]`

void vtkDataReader::CheckFor | ( | const char * | name,
|  | char * | line,
|  | int & | num,
|  | char **& | array,
|  | int & | allocSize
| ) | `[protected]`

void vtkDataReader::DecodeArrayName | ( | char * | resname,
|  | const char * | name
| ) | `[protected]`

| Decode the name of array. This method is the inverse of vtkWriter::EncodeName.

## Member Data Documentation

char* vtkDataReader::FileName`[protected]`

| Definition at line 285 of file vtkDataReader.h.

int vtkDataReader::FileType`[protected]`

| Definition at line 286 of file vtkDataReader.h.

istream* vtkDataReader::IS`[protected]`

| Definition at line 287 of file vtkDataReader.h.

char* vtkDataReader::ScalarsName`[protected]`

| Definition at line 289 of file vtkDataReader.h.

char* vtkDataReader::VectorsName`[protected]`

| Definition at line 290 of file vtkDataReader.h.

char* vtkDataReader::TensorsName`[protected]`

| Definition at line 291 of file vtkDataReader.h.

char* vtkDataReader::TCoordsName`[protected]`

| Definition at line 292 of file vtkDataReader.h.

char* vtkDataReader::NormalsName`[protected]`

| Definition at line 293 of file vtkDataReader.h.

char* vtkDataReader::LookupTableName`[protected]`

| Definition at line 294 of file vtkDataReader.h.

char* vtkDataReader::FieldDataName`[protected]`

| Definition at line 295 of file vtkDataReader.h.

char* vtkDataReader::ScalarLut`[protected]`

| Definition at line 296 of file vtkDataReader.h.

int vtkDataReader::ReadFromInputString`[protected]`

| Definition at line 298 of file vtkDataReader.h.

char* vtkDataReader::InputString`[protected]`

| Definition at line 299 of file vtkDataReader.h.

int vtkDataReader::InputStringLength`[protected]`

| Definition at line 300 of file vtkDataReader.h.

int vtkDataReader::InputStringPos`[protected]`

| Definition at line 301 of file vtkDataReader.h.

char* vtkDataReader::Header`[protected]`

| Definition at line 306 of file vtkDataReader.h.

int vtkDataReader::NumberOfScalarsInFile`[protected]`

| Definition at line 319 of file vtkDataReader.h.

char** vtkDataReader::ScalarsNameInFile`[protected]`

| Definition at line 320 of file vtkDataReader.h.

int vtkDataReader::ScalarsNameAllocSize`[protected]`

| Definition at line 321 of file vtkDataReader.h.

int vtkDataReader::NumberOfVectorsInFile`[protected]`

| Definition at line 322 of file vtkDataReader.h.

char** vtkDataReader::VectorsNameInFile`[protected]`

| Definition at line 323 of file vtkDataReader.h.

int vtkDataReader::VectorsNameAllocSize`[protected]`

| Definition at line 324 of file vtkDataReader.h.

int vtkDataReader::NumberOfTensorsInFile`[protected]`

| Definition at line 325 of file vtkDataReader.h.

char** vtkDataReader::TensorsNameInFile`[protected]`

| Definition at line 326 of file vtkDataReader.h.

int vtkDataReader::TensorsNameAllocSize`[protected]`

| Definition at line 327 of file vtkDataReader.h.

int vtkDataReader::NumberOfTCoordsInFile`[protected]`

| Definition at line 328 of file vtkDataReader.h.

char** vtkDataReader::TCoordsNameInFile`[protected]`

| Definition at line 329 of file vtkDataReader.h.

int vtkDataReader::TCoordsNameAllocSize`[protected]`

| Definition at line 330 of file vtkDataReader.h.

int vtkDataReader::NumberOfNormalsInFile`[protected]`

| Definition at line 331 of file vtkDataReader.h.

char** vtkDataReader::NormalsNameInFile`[protected]`

| Definition at line 332 of file vtkDataReader.h.

int vtkDataReader::NormalsNameAllocSize`[protected]`

| Definition at line 333 of file vtkDataReader.h.

int vtkDataReader::NumberOfFieldDataInFile`[protected]`

| Definition at line 334 of file vtkDataReader.h.

char** vtkDataReader::FieldDataNameInFile`[protected]`

| Definition at line 335 of file vtkDataReader.h.

int vtkDataReader::FieldDataNameAllocSize`[protected]`

| Definition at line 336 of file vtkDataReader.h.

vtkTimeStamp vtkDataReader::CharacteristicsTime`[protected]`

| Definition at line 337 of file vtkDataReader.h.

vtkCharArray* vtkDataReader::InputArray`[protected]`

| Definition at line 344 of file vtkDataReader.h.

The documentation for this class was generated from the following file:

- IO/vtkDataReader.h